summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author paul wisehart <paul@oldcode.org>2011-05-08 23:11:26 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-05-08 23:11:26 -0500
commitdfd0943e2baf317d757073cf55a6c0c9240c05a1 (patch)
treef0d2ea74d7f6c385b6d38939141b92190490e7e1 /network
parent0d744fe432fb414d8a04336d8ae3e247451e3b40 (diff)
downloadslackbuilds-dfd0943e2baf317d757073cf55a6c0c9240c05a1.tar.gz
slackbuilds-dfd0943e2baf317d757073cf55a6c0c9240c05a1.tar.xz
network/lighttpd: Updated for version 1.4.28.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/lighttpd/08-ssl-retval-fix.patch12
-rw-r--r--network/lighttpd/lighttpd.SlackBuild25
-rw-r--r--network/lighttpd/lighttpd.info10
3 files changed, 11 insertions, 36 deletions
diff --git a/network/lighttpd/08-ssl-retval-fix.patch b/network/lighttpd/08-ssl-retval-fix.patch
deleted file mode 100644
index 712f158a23..0000000000
--- a/network/lighttpd/08-ssl-retval-fix.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -purN orig/src/network.c lighttpd-1.4.25/src/network.c
---- orig/src/network.c 2010-01-28 10:43:33.829209750 -0500
-+++ lighttpd-1.4.25/src/network.c 2010-01-28 10:44:22.639208732 -0500
-@@ -525,7 +525,7 @@ int network_init(server *srv) {
-
- if (!s->ssl_use_sslv2) {
- /* disable SSLv2 */
-- if (SSL_OP_NO_SSLv2 != SSL_CTX_set_options(s->ssl_ctx, SSL_OP_NO_SSLv2)) {
-+ if (!(SSL_OP_NO_SSLv2 & SSL_CTX_set_options(s->ssl_ctx, SSL_OP_NO_SSLv2))) {
- log_error_write(srv, __FILE__, __LINE__, "ss", "SSL:",
- ERR_error_string(ERR_get_error(), NULL));
- return -1;
diff --git a/network/lighttpd/lighttpd.SlackBuild b/network/lighttpd/lighttpd.SlackBuild
index 7b796c48a0..38e3ffb593 100644
--- a/network/lighttpd/lighttpd.SlackBuild
+++ b/network/lighttpd/lighttpd.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-#
+
# Slackware build script for lighttpd
-#
+
# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
# All rights reserved.
#
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lighttpd
-VERSION=1.4.26
+VERSION=1.4.28
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -52,14 +50,13 @@ bailout() {
does not exist. You should create it/them with the following:
groupadd -g 208 $LIGHTTPD_GROUP
useradd -u 208 -g $LIGHTTPD_GROUP -d /var/www $LIGHTTPD_USER\n"
+ exit 1
}
if ! grep -q ^$LIGHTTPD_GROUP: /etc/group 2>/dev/null ; then
bailout
- exit 1
elif ! grep -q ^$LIGHTTPD_USER: /etc/passwd 2>/dev/null ; then
bailout
- exit 1
fi
if [ "$ARCH" = "i486" ]; then
@@ -87,9 +84,6 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# apply ssl related bug fix (rm in 1.4.27)
-patch -p1 < ${CWD}/08-ssl-retval-fix.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -111,11 +105,7 @@ chmod 0700 $PKG/var/cache/lighttpd
mkdir -p $PKG/var/www/htdocs-lighttpd
touch $PKG/var/log/lighttpd/{access,error}.log.new
-# We'll create this, even though it will be empty by default, because
-# our suggested fastcgi path will use this as the socket directory
-# instead of /tmp (to avoid symlink attacks and such)
-# This is also the default directory used for the pid file now
-# (configurable in lighttpd.conf)
+# Create the default pid file directory (configurable in lighttpd.conf)
mkdir -p $PKG/var/run/lighttpd
chown $LIGHTTPD_USER:$LIGHTTPD_GROUP $PKG/var/run/lighttpd
@@ -126,10 +116,7 @@ install -D -m 0644 $CWD/$PRGNAM.logrotate $PKG/etc/logrotate.d/lighttpd.new
chown -R $LIGHTTPD_USER:$LIGHTTPD_GROUP $PKG/var/log/lighttpd/
chown -R $LIGHTTPD_USER:$LIGHTTPD_GROUP $PKG/var/cache/lighttpd
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING INSTALL NEWS README doc/* \
diff --git a/network/lighttpd/lighttpd.info b/network/lighttpd/lighttpd.info
index 1cdfe69b0e..7231809265 100644
--- a/network/lighttpd/lighttpd.info
+++ b/network/lighttpd/lighttpd.info
@@ -1,10 +1,10 @@
PRGNAM="lighttpd"
-VERSION="1.4.26"
+VERSION="1.4.28"
HOMEPAGE="http://www.lighttpd.net/"
-DOWNLOAD="http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-1.4.26.tar.bz2"
-MD5SUM="a682c8efce47a2f4263a247ba0813c9b"
+DOWNLOAD="http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-1.4.28.tar.bz2"
+MD5SUM="586eb535d31ac299652495b058dd87c4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="paul wisehart"
-EMAIL="wise@lupulin.net"
-APPROVED="Erik Hanson"
+EMAIL="paul@oldcode.org"
+APPROVED="rworkman"